using KB9920_UltraTimelineView_BindingList_WinFormsApp1.Data;
using System.ComponentModel;

namespace KB9920_UltraTimelineView_BindingList_WinFormsApp1;

public partial class Form1 : Form
{
    public Form1()
    {
        InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
        // w̃I[i[\ɂ܂
        ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;

        // ultraCalendarInfo  Appointments f[^ e[uɃoCh܂
        ultraCalendarInfo1.DataBindingsForAppointments.DataSource = GetAppointments();
        // ultraCalendarInfo  Owners f[^ e[uɃoCh܂
        ultraCalendarInfo1.DataBindingsForOwners.DataSource = GetOwners();

        // Appointments f[^ oCfBO vpeB UltraCalendarInfo ɐݒ肵܂
        ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "StartTime";
        ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "EndTime";
        ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Subject";
        ultraCalendarInfo1.DataBindingsForAppointments.OwnerKeyMember = "OwnerKey";
        // Owners f[^ oCfBO vpeB UltraCalendarInfo ɐݒ肵܂
        ultraCalendarInfo1.DataBindingsForOwners.KeyMember = "OwnerKey";
        ultraCalendarInfo1.DataBindingsForOwners.NameMember = "Name";

        ultraTimelineView1.EnsureDateTimeVisible(DateTime.Today.AddHours(8));
    }

    private BindingList<MyAppointment> GetAppointments()
    {
        return new BindingList<MyAppointment>()
            {
                new MyAppointment() { AppointmentID = 1, StartTime = DateTime.Today.AddHours(9), EndTime = DateTime.Today.AddHours(10), Subject = "Sprint Review", OwnerKey = "Charlie"},
                new MyAppointment() { AppointmentID = 2, StartTime = DateTime.Today.AddHours(8), EndTime = DateTime.Today.AddHours(8).AddMinutes(30), Subject = "Scrum Meet", OwnerKey = "Jamie"},
            };
    }

    private BindingList<MyOwner> GetOwners()
    {
        return new BindingList<MyOwner>()
            {
                new MyOwner() { OwnerID = 1, Name = "Maria Charlie", OwnerKey = "Charlie" },
                new MyOwner() { OwnerID = 2, Name = "John Jamie", OwnerKey = "Jamie" },
            };
    }

}
